View Issue Details

IDProjectCategoryView StatusLast Update
0003736FreeCADBugpublic2018-12-17 18:51
ReporternormandcAssigned Tonormandc 
PrioritynormalSeverityminorReproducibilityN/A
Status closedResolutionreopened 
Product Version0.18 
Target Version0.18Fixed in Version0.18 
Summary0003736: Tree view and Property view are no longer available in View --> Panels menu
DescriptionThis was discussed some time ago in the forum but I am unable to locate the topic.

At some point during 0.18 development, "Tree view" and "Property view" were removed from the View --> Panels menu.

Those two widget options were useful to people with dual displays.

I have a 0.18 build based on commit 7b866816 from 2018/10/18 that still contains these menu items. One month later on a build with hash fc5b6288 the menu items are gone.
TagsNo tags attached.

Activities

normandc

2018-12-16 20:33

manager  

normandc

2018-12-16 20:42

manager   ~0012286

Sorry, seems like this was fixed by commit d86c83d6c56. Why do I have to delete my preferences to get them back again?

normandc

2018-12-16 20:44

manager   ~0012287

Already fixed with [url=https://github.com/FreeCAD/FreeCAD/commit/d86c83d6c56fa4c43d443c2e78077b09636eaf32#diff-d48316e0a5b8c91049a80453d682dd46]d86c83d6c56[/url]

wmayer

2018-12-16 20:48

administrator   ~0012288

These two dock windows have been restored but an option was added to disable them. First the default value was to disable them but then later changed to be enabled.
In your case the parameter values must be set to false. In order to re-enable them you have to manually change your user.cfg.
In the parameter editor under Preferences > DockWindows > TreeView set Enabled to true. Do the same for Preferences > DockWindows > PropertyView

Then restart FreeCAD.

normandc

2018-12-16 20:50

manager   ~0012289

Thanks, meanwhile I found how to enable them back and was writing a comment, but you beat me to it.

Do we close this issue again?

Issue History

Date Modified Username Field Change
2018-12-16 20:29 normandc New Issue
2018-12-16 20:33 normandc File Added: FC018_issue_3736_View_Panels_7b866816_complete.png
2018-12-16 20:33 normandc File Added: FC018_issue_3736_View_Panels_missing.png
2018-12-16 20:42 normandc Note Added: 0012286
2018-12-16 20:44 normandc Assigned To => normandc
2018-12-16 20:44 normandc Status new => closed
2018-12-16 20:44 normandc Resolution open => fixed
2018-12-16 20:44 normandc Note Added: 0012287
2018-12-16 20:48 wmayer Note Added: 0012288
2018-12-16 20:48 wmayer Status closed => feedback
2018-12-16 20:48 wmayer Resolution fixed => reopened
2018-12-16 20:50 normandc Note Added: 0012289
2018-12-17 18:51 wmayer Status feedback => closed
2018-12-17 18:51 wmayer Fixed in Version => 0.18